package com.atlassian.bitbucket.mesh.app;

/**
 * Base class for exceptions thrown when validating the home directory. This type is abstract to ensure more distinct
 * subclasses are used for identifying failures.
 */
public abstract class HomeValidationException extends IllegalApplicationStateException {

    protected HomeValidationException(String message, String action) {
        super(message, action);
    }

    protected HomeValidationException(String message, String action, Throwable cause) {
        super(message, action, cause);
    }
}
